### A free/open-source library for quantitative finance

Payoff Class Reference

Abstract base class for option payoffs. More...

`#include <ql/payoff.hpp>`

Inheritance diagram for Payoff:
[legend]

List of all members.

## Public Member Functions

Payoff interface
virtual std::string | name () const =0
virtual std::string | description () const =0
virtual Real | operator() (Real price) const =0
Visitability
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Abstract base class for option payoffs.

## Member Function Documentation

virtual std::string name | ( |  | ) | const`[pure virtual]`

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implemented in SuperSharePayoff, SuperFundPayoff, GapPayoff, StickyMinPayoff, CashOrNothingPayoff, ForwardTypePayoff, StickyMaxPayoff, AssetOrNothingPayoff, RatchetMinPayoff, PercentageStrikePayoff, PlainVanillaPayoff, RatchetMaxPayoff, StickyPayoff, FloatingTypePayoff, RatchetPayoff, DoubleStickyRatchetPayoff, and NullPayoff.